# Class Segment

Class Segment

Declaration :

- C++ : class Segment

Artifact : segment

Attribut start

Declaration :

- Uml : # start : Time
- C++ : protected: Time start

Attribut length

duration (span) of this timeline segment.

Declaration :

- Uml : # length : Time
- C++ : protected: Time length

Relation elements (<directional aggregation>)

relevant MObjects comprising this segment. TODO: actually necessary??

Declaration :

- Uml : # elements : ExplicitPlacement, multiplicity : *
- C++ : protected: list<ExplicitPlacement *> elements

Stereotype: list

Relation <unidirectional association>

Declaration :

- Uml : # : RenderGraph
- C++ : protected: RenderGraph*

Stereotype: correspondance